Package picard.sam.SamErrorMetric

# Enum Class ReadBaseStratification.PairOrientation

java.lang.Object
java.lang.Enum<ReadBaseStratification.PairOrientation>
picard.sam.SamErrorMetric.ReadBaseStratification.PairOrientation

All Implemented Interfaces:
  `Serializable`, `Comparable<ReadBaseStratification.PairOrientation>`, `Constable`

Enclosing class:
  `ReadBaseStratification`

public static enum ReadBaseStratification.PairOrientation extends Enum<ReadBaseStratification.PairOrientation>
An enum for holding a reads read-pair's Orientation (i.e. F1R2, F2R1, or TANDEM) indicating the strand (positive or negative) that each of the two mated reads are aligned to. In connection with READ_BASE and similar stratifiers this can be used to observe oxoG-type sequencing artifacts.

Note that this is not related to FR/RF/TANDEM classification as per `PairOrientation`.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`F1F2`
`F1R2`
`F2R1`
`R1R2`

## Method Summary

Modifier and Type
Method
Description
`static ReadBaseStratification.PairOrientation`
`of(htsjdk.samtools.SAMRecord sam)`
`static ReadBaseStratification.PairOrientation`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ReadBaseStratification.PairOrientation[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### F1R2

public static final ReadBaseStratification.PairOrientation F1R2

### F2R1

public static final ReadBaseStratification.PairOrientation F2R1

### F1F2

public static final ReadBaseStratification.PairOrientation F1F2

### R1R2

public static final ReadBaseStratification.PairOrientation R1R2

## Method Details

### values

public static ReadBaseStratification.PairOrientation[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ReadBaseStratification.PairOrientation valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### of

public static ReadBaseStratification.PairOrientation of(htsjdk.samtools.SAMRecord sam)